Open Redirect

Affecting github.com/gogs/gogs/routes/user package, versions <0.12

Overview

github.com/gogs/gogs/routes/user is a painless self-hosted Git service.

Affected versions of the package are vulnerable to Open Redirect. An attacker could redirect users to arbitrary websites and conduct phishing attacks via an initial /\ substring in the user/login redirect_to parameter.

Remediation

Upgrade github.com/gogs/gogs/routes/user to version 0.12 or higher.

References

Do your applications use this vulnerable package?

CVSS Score

6.1
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Changed
  • Confidentiality
    Low
  • Integrity
    Low
  • Availability
    None
CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
Credit
Unknown
CVE
CVE-2018-15178
CWE
CWE-601
Snyk ID
SNYK-GOLANG-GITHUBCOMGOGSGOGSROUTESUSER-50081
Disclosed
05 Aug, 2018
Published
08 Aug, 2018